// File: ReadFile2.java

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class ReadFile2 implements Runnable {
  private int id;
  private BufferedReader input;
  private Thread theThread;

  public ReadFile2(String filename, int i) {
    id = i;
    theThread = new Thread(this);
    try {
      input = new BufferedReader(new FileReader(filename));
    } catch(IOException e) {
      System.err.println(e.getMessage());
      System.exit(-1);
    }
  }
  public void run() {
    String line = null;
    int count = 0;
    try {
      while((line = input.readLine()) != null) {
        System.out.println("Object " + id + "->" + line);
        if ((++count % 5) == 0)
          Thread.yield();
      }
    } catch(IOException e) {
      System.err.println(e.getMessage());
      System.exit(-1);
    }
  }
  public void startThread() {
    theThread.start();
  }
}
