// File: Fan.java

public class Fan implements Switchable {
  private Status status;

  public void turnOn() {
    status = Status.ON;
    // begin fan rotation
  }
  public void turnOff() {
    status = Status.OFF;
    // stop fan rotation
  }

  @Override
  public String toString() {
    String className = this.getClass().getName();
    String s;

    switch (status) {
      case ON:
        s = "The " + className + " is on";
        break;
      case OFF:
        s = "The " + className + " is off";
        break;
      default:
        s = "The " + className + " is neither on nor off";
    }
    return s;
  }
}