// File: GenericPairTester.java

public class GenericPairTester {
  public static void main(String[] args) {
    Shoe left = new Shoe(12, "Nike");
    Shoe right = new Shoe(11, "Nike");

    // create a pair of shoes
    GenericPair<Shoe> shoes = new GenericPair<Shoe>(left, right);

    Shoe one = shoes.getFirstElement();
    System.out.println("Left Size: " + one.getSize());
    System.out.println("Left Brand: " + one.getBrand());

    // create a pair of Strings
    GenericPair<String> strings = new GenericPair<String>("A", "B");

    String s = strings.getSecondElement();
    System.out.println("Second String: " + s);
  }
}