// File: Light.java

public abstract class Light implements Switchable {
  private EnhancedStatus status;

  public void turnOn() {
    status = EnhancedStatus.ON;
  }
  public void turnOff() {
    status = EnhancedStatus.OFF;
  }

  public abstract void changeBulb();

  public String toString() {
    String className = this.getClass().getName();
    return "The " + className + " is " + status.getDescription();
  }
}