// File: Shape2.java

public abstract class Shape2 implements Drawable {
  private Color color;
  private int xCoord;
  private int yCoord;

  protected Shape2() {
    this(Color.WHITE, 0, 0);
  }
  protected Shape2(Color c, int x, int y) {
    color = c;
    xCoord = x;
    yCoord = y;
  }
  public abstract double getArea();
  public Color getColor() {
    return color;
  }
  public void setColor(Color c) {
    color = c;
  }
  public int getXCoordinate() {
    return xCoord;
  }
  public void setXCoordinate(int x) {
    xCoord = x;
  }
  public int getYCoordinate() {
    return yCoord;
  }
  public void setYCoordinate(int y) {
    yCoord = y;
  }
}
