// File: CD.java

public class CD {
  private int id;
  private String artist;
  private String title;

  public CD(int i, String a, String t) {
    id = i;
    artist = a;
    title = t;
  }
  @Override
  public int hashCode() {
    return id;
  }
  @Override
  public boolean equals(Object arg) {
    if (this == arg)
      return true;

    if (arg == null || this.getClass() != arg.getClass())
       return false;

    CD cd = (CD) arg;
    return (cd.id == this.id);
  }
  @Override
  public String toString() {
    return artist + " " + title;
  }
}
