// File: InitTest.java

public class InitTest {
  int count;      // Automatically initialized to 0
  double budget;  // Automatically initialized to +0.0D
  String name;    // Automatically initialized to null
  final int max = 100;  // Initialize final before use

  void firstMethod() {
    int k = 42;
    int j;   // not initialized, so...
    System.out.println("Testing: " + j); // Compiler Error!
  }

  void secondMethod() {
    count = count + 1;  // We can use the count field here.
    k = 17;     // Compiler Error! k is local to firstMethod.
    max = 50;   // Compiler Error! Can't change a final.
  }
}
