// File: TestToString.java

public class TestToString {

  public static void main(String[] args) {
    Rectangle r = new Rectangle(12, 5);
    System.out.println("Object with toString defined:");
    System.out.println(r);

    Square s = new Square(5);
    System.out.println("Object without toString defined:");
    System.out.println(s);
  }
}

class Rectangle {
  private int width;
  private int height;
  
  Rectangle(int w, int h) {
    width = w;
    height = h;
  }

  public String toString() {
    return "Width: " + width + " Height: " + height;
  }
}

class Square {
  private int length;
  
  Square(int len) {
    length = len;
  }
}
