// File: Employee8.java

public class Employee8 {
  public static int retirementAge = 72;
  public static float minimumWage = 6.75F;
  private String firstName;
  private String lastName;
  private float salary;
  private int id;

  // constructors
  public Employee8(String fname, String lname) {
    firstName = fname;
    lastName = lname;
  }
  public Employee8() {
    this("J.", "Doe");
  }
  public void showEmp() {
    System.out.println("Employee " +
                       "(Min Wage: " + minimumWage +
                       ", Ret Age: " + retirementAge +
                       "):" );
    System.out.println("ID: " + id);
    System.out.println("Name: " + firstName + " " + lastName);
    System.out.println("Salary: " + salary);
  }
  // gets and sets
  public String getFirstName() {
    return firstName;
  }
  public void setFirstName(String f) {
    firstName = f;
  }
  public String getLastName() {
    return lastName;
  }
  public void setLastName(String l) {
    lastName = l;
  }
  public float getSalary() {
    return salary;
  }
  public void setSalary(float s) {
    salary = s;
  }
  public int getId() {
    return id;
  }
  public void setId(int i) {
    id = i;
  }
  public String toString() {
    // sal will store the results of the formatting
    StringBuilder sal = new StringBuilder();
    // need to use the fully qualified name for Formatter
    java.util.Formatter formatter = new java.util.Formatter(sal);

    String formatString = "Salary: %1$.2f";
    // the format method populates sal with the formatted salary
    formatter.format(formatString, salary);
    formatter.close();

    return "Id: " + id + " FirstName: " + firstName +
           " LastName: " + lastName +
           " Salary: " + sal.toString();
  }
  public boolean equals(Object obj) {
    if (this == obj)
      return true;

    if (obj != null && this.getClass() == obj.getClass()) {
      Employee8 e = (Employee8)obj;
      return ( this.firstName.equals(e.firstName)
               && this.lastName.equals(e.lastName)
               && this.id == e.id );
    }
    return false;
  }
}