// File: GasFireplace.java

public class GasFireplace implements Switchable {
  private EnhancedStatus status;

  public void turnOn() {
    status = EnhancedStatus.ON;
    // turn on the gas, ignite the flame
  }
  public void turnOff() {
    status = EnhancedStatus.OFF;
    // turn off the gas
  }

  @Override
  public String toString() {
    String className = this.getClass().getName();
    return "The " + className + " is " + status.getDescription();
  }
}