// File: Person2.java

public class Person2 {
  private String name;
  private int age;

  public Person2(String n, int a)
    throws InvalidDataException, BadAgeException {

    if (n == null || n.equals("")) {
      throw new InvalidDataException();
    }
    name = n;

    if (a < 0 || a > 120) {
      throw new BadAgeException(a);
    }
    age = a;
  }
  @Override
  public String toString() {
    return name;
  }
}


