// File: ReadIt.java

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class ReadIt {
  public static void main(String[] args) {
    String line;
    try {
      FileReader input = new FileReader("input.txt");
      BufferedReader bufIn = new BufferedReader(input);

      // do buffered reading from a file
      // write each line to standard out
      while( (line = bufIn.readLine()) != null) {
        System.out.println(line);
      }

      bufIn.close();
    }
    catch (IOException e) {
      System.err.println(e.getMessage());
    }
  }
}
