// File: Guess.java

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

public class Guess {
  private int id;

  public Guess(int i) {
    id = i;
  }

  @Override
  public int hashCode() {
    return id;
  }

  @Override
  public boolean equals(Object arg) {
    if (arg == null || this.getClass() != arg.getClass())
       return false;
    Guess c = (Guess) arg;
    return (c.id == this.id);
  }

  public static void main(String args[]) throws IOException {
    String s1 = new String("abc");
    String s2 = new String("abc");
    Guess c1 = new Guess(1);
    Guess c2 = new Guess(2);

    Set<Object> mySet = new HashSet<Object>();
    mySet.add(s1);
    mySet.add(s2);
    mySet.add(c1);
    mySet.add(c2);

    System.out.print("What is the HashSet size? ");
    BufferedReader buf = new BufferedReader(
      new InputStreamReader(System.in));

    int guess = Integer.parseInt(buf.readLine());

    if (guess == mySet.size()) {
      System.out.println("\nCORRECT!!!\n\nElements: ");
      Iterator it = mySet.iterator();
      while (it.hasNext()) {
        Object obj = it.next();
        System.out.print("\t" + obj.getClass().getName());
        System.out.println(" (" + obj + ")");
      }
    }
    else {
      System.out.println("I'm sorry. Please try again.");
    }
  }
}
