// File: MapTest.java

import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;

public class MapTest {
  public static void main(String args[]) {
    CD cd1 = new CD(1, "The Beatles", "Greatest Hits");
    CD cd2 = new CD(2, "Prince", "Greatest Hits");
    CD cd3 = new CD(2, "Garth Brooks", "Greatest Hits");

    Map<String,CD> cdCollection = new HashMap<String,CD>();
    //Map<String,CD> cdCollection = new LinkedHashMap<String,CD>();

    cdCollection.put("key1", cd1);
    cdCollection.put("key2", cd2);
    cdCollection.put("key3", cd3);

    Set<String> s = cdCollection.keySet();
    Iterator<String> it = s.iterator();

    while (it.hasNext()) {
      String key = it.next();
      System.out.print("Key: " + key);
      System.out.println(" Value: " + cdCollection.get(key));
    }
  }
}